<?php
class MyHelper {
	private static $locale_lang;
	/**
	 * Czech and Slovak characters needs to be transliterated to ascii for file name, dir name, or string.
	 * @param string $val, string, value to be converted
	 * @param $clear init, how value to be cleared from illegal characters [1 = file name, 2 = dir name, 3 = string
	 * @param bool $lowercase, converts to lowercase, if $lowercase == true
	 * @return string, return cleaned ascii ( replace illegal characters )
	 */
	public function getASCII( $val, $clear = 0, $lowercase = true ) {
		if ( !self::$locale_lang ) self::setup();
		if ( mb_strstr( $val, "/" ) || mb_strstr( $val, "\\\\" )  ) {
			$dirs = ( mb_strstr( $val, "/" ) ? preg_split( "/\//", $val ) : preg_split( "/\\/", $val ) );
			$last = end( $dirs );
		}
		else {
			$last = $val;
		}
		$trans = trim( $last );		//$cd = iconv( 'ISO-8859-1', 'CP1250', $cd );$cd = iconv( "utf-8", "windows-1250//TRANSLIT", $cd );$cd = mb_convert_encoding( $cd, "ASCII");
		if ( preg_match( "/cs|sk/i", substr( self::$locale_lang, 0, 2 ) ) ) {
			require('chars_1250_ASCII.php');
			if ( isset( $chars_1250_ASCII ) ) {
				// $trans = strtr( $trans, $chars_1250_ASCII );
				$trans = str_replace( array_keys( $chars_1250_ASCII ), array_values( $chars_1250_ASCII ), $trans );
				unset( $chars_1250_ASCII );
			}
		}
		switch ( $clear ) {
			case '1':	//file name
					$trans = preg_replace( '/\s+/','-', $trans );
					$trans = preg_replace( '/[^A-Za-z0-9.+_\-]/', '', $trans );
				break;
			case '2':	// folder name
					$trans = preg_replace( '/\s+/','-', $trans );
					$trans = preg_replace( '/[^A-Za-z0-9+.-]+/', '', $trans );
					$trans = preg_replace( '/-+/', '-', $trans );
				break;
			case '3':	// string
					$trans = preg_replace( '/[^A-Za-z0-9]+/', '-', $trans );
					$trans = preg_replace( '/-+/', '-', $trans );
				break;
		}
		if ( $lowercase == true ) $trans = mb_strtolower( $trans );
		$val = str_replace( $last, $trans, $val ); 
		return $val;
	}
}
?>